# InquiryPriceCreateNatGateway

## 1. API Description

This API (InquiryPriceCreateNatGateway) is used to inquiry the price of creating a NAT gateway.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description |
| -------------- | -------- | ------ | ----------- |
| regionId       | Yes      | String | Region ID.  |

## 3. Output Parameters

| Parameter Name  | Type                                                                                         | Description                                                                                                           |
| --------------- | -------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId       | String                                                                                       | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| natGatewayPrice | [PriceItem](https://docs.console.zenlayer.com/api-reference/compute/datastructure#priceitem) | Price of a NAT gateway.                                                                                               |
| cuPrice         | [PriceItem](https://docs.console.zenlayer.com/api-reference/compute/datastructure#priceitem) | CU fee of a NAT gateway.                                                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Inquiry the price of creating a NAT gateway.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateNatGateway
<Common Request Params>

Request:
{
  "regionId" : "sample"
}

Response:
{
  "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453",
  "response": {
    "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
